import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class CountriesService {

  //HttpClient http=new HttpClient();
  //CountriesService.setHttpClient(http);
  constructor(public httpClient:HttpClient) { }

  public getCountriesData():Observable<any>{
    //The below line hits REST API and get the response
    return this.httpClient.get("https://restcountries.com/v3.1/all")

  }
}
